package cn.stylefeng.workflow.design.modular.service;

import cn.stylefeng.workflow.api.DefinitionApi;
import cn.stylefeng.workflow.api.entity.design.Definition;
import cn.stylefeng.workflow.design.api.ModelTimerServiceApi;
import cn.stylefeng.workflow.design.modular.pojo.request.DefinitionRequest;
import com.baomidou.mybatisplus.extension.service.IService;

public interface DefinitionService extends IService<Definition>, DefinitionApi, ModelTimerServiceApi {

    Definition detail(DefinitionRequest definitionRequest);

    Definition upgradeDefinitionAndSave(Long definitionId);

    void saveSixGraphDesign(DefinitionRequest definitionRequest);

    Long upgradeAndSave(DefinitionRequest definitionRequest);

    Definition upgrade(Long oldDefinitionId);

}